Package org.apache.tomcat.util.descriptor.tld

## Class ImplicitTldRuleSet

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.ImplicitTldRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class ImplicitTldRuleSet
    extends Object
    implements RuleSet

RulesSet for digesting implicit.tld files. Only version information used and short names are allowed.

### Constructor Summary

Constructors
`ImplicitTldRuleSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImplicitTldRuleSet

    public ImplicitTldRuleSet()

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Description copied from interface: `RuleSet`
Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.